<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmGetPermFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmGetPermFlag Enumeration

Visual Basic
C#
C++/CLI
Options for returning folder permissions used in calls to IEdmUserMgr7::GetFolderPermissions.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmGetPermFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmGetPermFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmGetPermFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmGetPerm_Nothing | 0 = Default behavior; return all inherited permissions, not just those explicitly set on a folder
EdmGetPerm_OnlyExplicitlySet | 1 = Return only permissions explicitly set on folders

# See Also

####

EPDM.Interop.epdm Namespace